<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

	<modelVersion>4.0.0</modelVersion>
	<groupId>br.com.servant</groupId>
	<artifactId>Servant-front</artifactId>
	<version>0.0.1-SNAPSHOT</version>
	<packaging>war</packaging>
	<name>servant-front</name>

	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
	</properties>

	<dependencies>
		<dependency>
			<groupId>org.mitre.dsmiley.httpproxy</groupId>
			<artifactId>smiley-http-proxy-servlet</artifactId>
			<version>1.9</version>
		</dependency>
	</dependencies>

	<build>
		<finalName>servant-front</finalName>
		<plugins>
			<plugin>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.1</version>
				<configuration>
					<source>1.8</source>
					<target>1.8</target>
					<optimize>true</optimize>
					<debug>true</debug>
					<outputFileName>servant-front</outputFileName>
				</configuration>
			</plugin>

			<plugin>
				<groupId>com.samaxes.maven</groupId>
				<artifactId>minify-maven-plugin</artifactId>
				<version>1.7.1</version>
				<executions>
					<execution>
						<id>default-minify</id>
						<phase>prepare-package</phase>
						<configuration>
							<skipMinify>${minify.skip}</skipMinify>
							<charset>utf-8</charset>
							<nosuffix>false</nosuffix>
							<jsEngine>closure</jsEngine>
							<skipMerge>true</skipMerge>
							<webappSourceDir>${basedir}/src/main</webappSourceDir>
							<webappTargetDir>${basedir}/target/${project.artifactId}</webappTargetDir>
							<jsSourceDir>app</jsSourceDir>
							<jsTargetDir>app</jsTargetDir>
							<jsSourceIncludes>
								<jsSourceInclude>**/*.js</jsSourceInclude>
							</jsSourceIncludes>
							<jsSourceExcludes>
								<jsSourceExclude>**/*.min.js</jsSourceExclude>
								<jsSourceExclude>**/lib/**/**</jsSourceExclude>
							</jsSourceExcludes>
						</configuration>
						<goals>
							<goal>minify</goal>
						</goals>
					</execution>
				</executions>
			</plugin>

			<plugin>
				<artifactId>maven-war-plugin</artifactId>
				<version>2.4</version>
				<configuration>
					<warName>${project.artifactId}</warName>
					<failOnMissingWebXml>false</failOnMissingWebXml>
					<nonFilteredFileExtensions>
						<nonFilteredFileExtension>woff</nonFilteredFileExtension>
						<nonFilteredFileExtension>ttf</nonFilteredFileExtension>
						<nonFilteredFileExtension>woff2</nonFilteredFileExtension>
						<nonFilteredFileExtension>eot</nonFilteredFileExtension>
						<nonFilteredFileExtension>ico</nonFilteredFileExtension>
					</nonFilteredFileExtensions>
					<webResources>
						<resource>
							<directory>${basedir}/src/main/app</directory>
							<filtering>true</filtering>
							<targetPath>app</targetPath>
							<excludes>
								<exclude>index.html</exclude>
							</excludes>
						</resource>
						<resource>
							<directory>${basedir}/src/main/app</directory>
							<includes>
								<include>index.html</include>
							</includes>
							<filtering>true</filtering>
						</resource>
						<resource>
							<directory>${basedir}/src/main/WEB-INF</directory>
							<filtering>true</filtering>
							<targetPath>WEB-INF</targetPath>
						</resource>

					</webResources>
				</configuration>
			</plugin>
		</plugins>
	</build>
</project>